Area = {}
Area.__index = Area
ActiveArea = {}

function Area:new(x,y,width,height)
	local instance = setmetatable({}, Area)
	
	instance.name = "grass"
	
	instance.x = x
	instance.y = y 

	local physics = {}
	physics.body = love.physics.newBody(World, instance.x, instance.y, "static")
	physics.shape = love.physics.newRectangleShape(width, height)
	physics.fixture = love.physics.newFixture(physics.body, physics.shape)
	physics.fixture:setSensor(true)
	physics.fixture:setUserData("grass-"..(#ActiveArea+1))
	
	instance.physics = physics
	table.insert(ActiveArea, instance)
end



function Area:load()
	
end

function Area:removeAll()
	for i, v in ipairs(ActiveArea) do
		v.physics.body:destroy()
	end

	ActiveArea = {}
end

function Area:update(dt)
	
end

function Area:updateAll(dt)
	for i,instance in ipairs(ActiveArea) do
		instance:update(dt)
		
	end
end

function Area:draw()
	local vertices = {self.physics.body:getWorldPoints(self.physics.shape:getPoints())}
	love.graphics.line (0,0,vertices[1], vertices[2])
	love.graphics.polygon("line", vertices) 
	love.graphics.polygon("line", self.physics.body:getWorldPoints(self.physics.shape:getPoints())) 
	love.graphics.print(self.x..' '..self.y, self.x, self.y)
	
end

function Area:drawAll()
	for i,instance in ipairs(ActiveArea) do
		instance:draw()
	end
end



